\section{Help NGOs use private bridges}
\label{sec:bridges-for-ngos}

While our eventual goal is to create automated methods for bridge address
distribution that are robust against all censors, in the short term, we need to
improve current methods. Many NGOs would be happy to run private bridges and
distribute their addresses to their members and allies. In particular, groups
working in China would like to run bridges with the obfs4 pluggable transport.
To make this feasible, we need to create usable documentation to help them set
up bridges and distribute the addresses to their users. To test our processes and get user feedback, we should walk a few NGOs through the set-up and distribution process.

A second phase of supporting the use of private bridges by NGOS will entail
documenting how to run a collection of bridges. An improvement to consider
is making it possible to run multiple bridges on a single Tor instance. As
well, we should make it possible for NGOs to run their own instances of
BridgeDB.

Research to understand whether private bridges actually work in China is also
needed. We need to run recurring experiments from within China to test the
following: whether obfs4 bridges are reachable; whether the bootstrap process
can complete; and the throughput that is possible---that is, whether
connections to private bridges are being degraded by censors.

Throughout this work, we will collect information that will help us devise best
practices for how many private bridges are needed per user and where it is best
to host the private bridges.

\maybeurl{https://bugs.torproject.org/28526} \maybelinebreak
\maybeurl{https://bugs.torproject.org/28015}

\section{Improve automated bridge set-up}
\label{sec:auto-bridge-setup}

The introduction of the moat feature in Tor Browser 8.0 significantly
simplifies bridge set-up, but it would be better if the average user didn't
need to know about bridges at all. Ideally, a user would start Tor Browser and
it would try to connect to the Tor network. If connecting to a publicly-listed
relay failed, it would try to connect to a bridge, if that failed, it would try
bridges offering various pluggable transports. Throughout this process, it
would keep the user informed of progress. It could save the connection method
that worked to be used for the next time Tor Browser starts.
